R2PM(1)

NAME
R2PM - radare2 package manager

SYNOPSIS
r2pm [init|update|cmd] [...]

DESCRIPTION
Allows to install, update, uninstall and discover plugins and tools that can be used with radare2.

-a, repo
    Adds an external r2pm repository, no arguments to -a will list all the registered repos, use '-a - repo' to unregister/remove those repos.

-I, info
    Show information about repository and installed packages

-i, install pkgname
    Install a package

-gi, global-install pkgname
    Install a package in the system directory

-u, uninstall pkgname
    Uninstall a package

-uu pkgname
    Force uninstall a package

-U, Upgrade all the outdated packages
    Runs the suggested lines when loading outdated plugins by r2

-gu, global-install pkgname
    Uninstall a package from the system directory

-l, list
    List installed packages

-s, search keyword
    Search in database for packages matching keyword

-r, run command ...args
    Run command with R2PM_BINDIR in PATH

-v, version
    Show version information

-h, help
    Show usage help message

-c, clean
    Clean the source cache

-w, when
    Show when a package was installed or exit 1 if pkg does not exist

EXAMPLES

Initialize and update the package database

$ r2pm init $ r2pm update

Install a package

$ r2pm install yara3

Install a test package (don't git pull on $R2PM_GITDIR/yara3)

$ R2PM_GITSKIP=1 r2pm install yara3

Avoid init/update calls (don't git pull on $R2PM_DBDIR)

$ R2PM_OFFLINE=1 r2pm -i yara

Uninstall a package

$ r2pm uninstall yara3

Search a package

$ r2pm search yara

List available packages

$ r2pm -s

ENVIRONMENT

SUDO=sudo R2PM_PLUGDIR=~/.local/share/radare2/plugins R2PM_BINDIR=~/.local/share/radare2/prefix/bin R2PM_OFFLINE=0 R2PM_DBDIR=~/.local/share/radare2/r2pm/db R2PM_GITDIR=~/.local/share/radare2/r2pm/git R2PM_GITSKIP=

SEE ALSO

radare2(1)